Forum: Ruby tix windows (install question)

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
6c268a2652724ef54586b9ff88f414f4?d=identicon&s=25 Todd Goldfinger (goldfita)
on 2007-01-03 23:36
(Received via mailing list)
I found a post around here somewhere explaining how to install tix.
Has anyone made it work on windows?  I'm getting the follwing.

C:\ruby\tcltk-ext052>mk_tkextlib.rb -p Tix

c:/ruby/lib/ruby/1.8/tcltkextlib.rb:47:in `_eval': couldn't load
library "C:/tcl
8.4.14/bin/tix84.lib": invalid argument (RuntimeError)
        from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:47:in `_eval'
        from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:67:in `eval'
        from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:177:in
`_load_shared_lib'
        from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:220:in `setup_libs'
        from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:216:in `setup_libs'
        from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:233:in
`full_load_libs'
        from C:/ruby/tcltk-ext052/mk_tkextlib.rb:1361:in
`load_ext_library'
        from C:/ruby/tcltk-ext052/mk_tkextlib.rb:3001

My def file is

$ext_lib_info = [
  ['Tix', 'tix84.lib', ['C:/tcl8.4.14/bin']],
  nil
]


I also tried the dll.  And I tried using the full path.  My ruby is
1.8.4.
E4f967492dbd03c526cc9b397e68021d?d=identicon&s=25 Hidetoshi NAGAI (Guest)
on 2007-01-19 16:31
(Received via mailing list)
From: goldfita@signalsguru.net
Subject: tix windows (install question)
Date: Thu, 4 Jan 2007 07:35:07 +0900
Message-ID: <1167863677.183872.43340@s34g2000cwa.googlegroups.com>
> I found a post around here somewhere explaining how to install tix.
> Has anyone made it work on windows?  I'm getting the follwing.
>
> C:\ruby\tcltk-ext052>mk_tkextlib.rb -p Tix

I'm very sorry, but I don't touch tcltk-ext now.
# It is not tested on Windows.

I thought that supporting Tix is not important because
there are similar widgets in the other extensions
which are included in ActiveTcl binary package.
So, I stopped development of tcltk-ext when added
tkextlib support to Ruby/Tk.
# And I forget about its structure. (^_^;

However, if you really need Tix support,
I'll be able to update tcltk-ext for Ruby-1.8
or add Tix support to tkextlib.

> My def file is
>
> $ext_lib_info = [
>   ['Tix', 'tix84.lib', ['C:/tcl8.4.14/bin']],
>   nil
> ]

Did you try 'C:\tcl8.4.14\bin'?
Does "Tk.ip_eval('load "C:/tcl8.4.14/bin/tix84.lib" Tix')" or
"Tk.ip_eval('load "C:\tcl8.4.14\bin\tix84.lib" Tix')" succeed?
This topic is locked and can not be replied to.